# Create Test Accounts

## Create Test Accounts and Send Transactions From Endless CLI <a href="#create-test-accounts-and-send-transactions-from-endless-cli" id="create-test-accounts-and-send-transactions-from-endless-cli"></a>

{% hint style="info" %}
You can install the Endless CLI by following these steps if you have not done so already.
{% endhint %}

In general, to make a new account on-chain, you will need to generate keys and then fund the account. On test networks, you can fund a new account by asking a "faucet" account with test Endless tokens to send them to your account.

Using the CLI, you can generate and fund a test account using:

```
endless init --profile <your-profile-name>
```

Once you have a funded account you can send coins between accounts with the `transfer` command like this:

```
endless account transfer --account superuser --amount 100
```

You should see a result like:

```shell
gas_unit_price:100
gas_used:10
balance_changes:[]
sender:GinLHfukKufLYJ757NfyCLpeDvjeNjLPQwc7waco3o7b
success:true
version:26629
vm_status:Executed successfully
transaction_hash:3n9pVx1mW6cPdgXVCwj7kuRPYLfR4pbjRKtUZFNK6hC5
```

This can be useful for manual testing of Move contracts or just to try seeing how the chain works in practice.

{% hint style="info" %}
If you want more control over what your generated credentials look like, instead of endless `init`, you can use:

1. `endless key generate --vanity-prefix 0x<your-prefix>`
2. `endless account fund-with-move --account <your-newly-generated-account-address> --private-key-file <your-newly-generated-account-private-key>`

Note however that addresses are different than keys.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.endless.link/endless/devbuild/build/endless-cli/use-endless-cli/trying-things-on-chain/create-test-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
